<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ProductEntry extends Model
{
    use HasFactory;

    protected $fillable = ['product_id', 'quantity', 'expiry_date', 'supplier_id', 'price'];

    protected $casts = [
        'expiry_date' => 'datetime',
    ];

    public function product()
    {
        return $this->belongsTo(Product::class);
    }

    public function supplier()
    {
        return $this->belongsTo(Supplier::class);
    }

    public function expiryAlerts()
    {
        return $this->hasMany(ExpiryAlert::class);
    }

    public function transactions()
    {
        return $this->belongsToMany(Transaction::class, 'transaction_product_entry')
            ->withPivot('quantity')
            ->withTimestamps();
    }
}
