<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Transaction extends Model
{
    protected $fillable = ['product_id', 'user_id', 'user_name', 'type', 'quantity', 'remarks'];

    public function product()
    {
        return $this->belongsTo(Product::class);
    }


    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }
    public function productEntries()
    {
        return $this->belongsToMany(ProductEntry::class, 'transaction_product_entry')
            ->withPivot('quantity')
            ->withTimestamps();
    }
}
