<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('transactions', function (Blueprint $table) {
            $table->id();
            $table->foreignId('product_id')->constrained();
            $table->foreignId('user_id')->default(1)->constrained(); // Add this line
            $table->string('user_name')->default('hamid'); // Add this line
            $table->enum('type', ['entry', 'exit']);
            $table->integer('quantity');
            $table->text('remarks')->nullable();
            $table->timestamps();
        });
        
    }
 
    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('transactions');
    }
};
