<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddSupplierAndPriceToProductEntriesTable extends Migration
{
    public function up()
    {
        Schema::table('product_entries', function (Blueprint $table) {
            $table->foreignId('supplier_id')->nullable()->constrained()->onDelete('cascade');
            $table->decimal('price', 8, 2)->nullable();
        });
    }

    public function down()
    {
        Schema::table('product_entries', function (Blueprint $table) {
            $table->dropForeign(['supplier_id']);
            $table->dropColumn('supplier_id');
            $table->dropColumn('price');
        });
    }
}
