@extends('admin.admin_dashboard')
@section('admin')
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/tailwindcss@2.2.16/dist/tailwind.min.css">

    <div class="page-content">
        <div class="card">
            <div class="card-body">
                <div class="container mx-auto mt-8">
                    <h1 class="text-2xl font-semibold mb-4">Edit Transaction</h1>
                    <form action="{{ route('transactions.update', $transaction->id) }}" method="POST"
                        class="max-w-md mx-auto">
                        @csrf
                        @method('PUT')

                        <div class="mb-4">
                            <label for="product_name" class="block text-sm font-medium text-white-700 mb-2">Product
                                Name</label>
                            <input name="product_name" id="product_name"
                                class="px-4 py-2 rounded-lg border w-full focus:ring-blue-500 focus:border-blue-500 text-black"
                                value="{{ $transaction->product->name }}" disabled>
                        </div>
                        <div class="mb-4">
                            <label for="quantity" class="block text-sm font-medium text-white-700 mb-2">Quantity</label>
                            <input type="number" name="quantity" id="quantity"
                                class="px-4 py-2 rounded-lg border w-full focus:ring-blue-500 focus:border-blue-500 text-black"
                                value="{{ $transaction->quantity }}" disabled />
                        </div>
                        <div class="mb-4">
                            <label for="type" class="block text-sm font-medium text-white-700 mb-2">Type</label>
                            <input type="text" name="type" id="type"
                                class="px-4 py-2 rounded-lg border w-full focus:ring-blue-500 focus:border-blue-500 text-black"
                                value="{{ $transaction->type }}" disabled />
                        </div>
                        <!-- Expiry Date -->
                        <div class="mb-4" id="expiryDateContainer"
                            style="{{ $transaction->type == 'entry' ? '' : 'display: none;' }}">
                            <label for="expiry_date" class="block text-sm font-medium text-white-700 mb-2">Expiry
                                date</label>
                            <input type="date" name="expiry_date" id="expiry_date"
                                class="px-4 py-2 rounded-lg border w-full focus:ring-blue-500 focus:border-blue-500 text-black"
                                value="{{ $expiryDate }}" {{ $transaction->type == 'entry' ? '' : 'disabled' }} />
                        </div>
                        <div class="mb-4">
                            <label for="remarks" class="block text-sm font-medium text-white-700 mb-2">Remarks</label>
                            <input type="text" name="remarks" id="remarks"
                                class="px-4 py-2 rounded-lg border w-full focus:ring-blue-500 focus:border-blue-500 text-black"
                                value="{{ $transaction->remarks }}" />
                        </div>
                        <div class="mb-6">
                            <button type="submit"
                                class="bg-blue-500 hover:bg-blue-600 text-white font-bold py-2 px-4 rounded-full focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-blue-500">
                                Update Transaction
                            </button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection
