<?php $__env->startSection('admin'); ?>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/tailwindcss@2.2.16/dist/tailwind.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.13.7/css/jquery.dataTables.css" />
    <div class="page-content">
        <div class="card">
            <div class="card-body">

                <h6 class="card-title">Add Product</h6>

                <form class="forms-sample" method="post" action="<?php echo e(route('products.store')); ?>">
                    <?php echo csrf_field(); ?>

                    <div class="row mb-3">
                        <label for="exampleInputUsername2" class="col-sm-3 col-form-label">Product name</label>
                        <div class="col-sm-9">
                            <input type="text" placeholder="name" name="name" id="name"
                                class="w-full px-4 py-2 border rounded-lg focus:ring focus:border-blue-300 text-black"
                                required />
                        </div>
                    </div>
                    <div class="row mb-3">
                        <label for="exampleInputEmail2" class="col-sm-3 col-form-label">Safety Stock</label>
                        <div class="col-sm-9">
                            <input type="number" placeholder="safety stock" name="safety_stock_level"
                                id="safety_stock_level"
                                class="w-full px-4 py-2 border rounded-lg focus:ring focus:border-blue-300 text-black"
                                required />
                        </div>
                    </div>
                    <div class="row mb-3">
                        <label for="exampleInputMobile" class="col-sm-3 col-form-label">Description</label>
                        <div class="col-sm-9">
                            <input type="text" placeholder="Description" name="description" id="description"
                                class="w-full px-4 py-2 border rounded-lg focus:ring focus:border-blue-300 text-black" />
                        </div>
                    </div>



                    <button type="submit" class="btn btn-primary me-2">Submit</button>
                </form>
            </div>
        </div>

        <div class="mt-4"></div> <!-- Add a margin-top to create space between the form and the table -->

        <div class="card">
            <div class="card-body">
                <h6 class="card-title">Products Table</h6>
                <div class="table-responsive">
                    <div id="dataTableExample_wrapper" class="dataTables_wrapper dt-bootstrap5 no-footer">
                        <div class="row">


                        </div>
                        <div class="row">
                            <div class="col-sm-12">
                                <table data-order="[]" id="myTable" class="table dataTable no-footer"
                                    aria-describedby="dataTableExample_info">
                                    <thead>
                                        <tr>
                                            <th class="sorting sorting_asc" tabindex="0" aria-controls="dataTableExample"
                                                rowspan="1" colspan="1" aria-sort="ascending"
                                                aria-label="Name: activate to sort column descending"
                                                style="width: 176.344px;">Name</th>
                                            <th class="sorting" tabindex="0" aria-controls="dataTableExample"
                                                rowspan="1" colspan="1"
                                                aria-label="Position: activate to sort column ascending"
                                                style="width: 279.164px;">Description</th>
                                            <th class="sorting" tabindex="0" aria-controls="dataTableExample"
                                                rowspan="1" colspan="1"
                                                aria-label="Office: activate to sort column ascending"
                                                style="width: 131.375px;">Current Stock</th>

                                            <th class="sorting" tabindex="0" aria-controls="dataTableExample"
                                                rowspan="1" colspan="1"
                                                aria-label="Office: activate to sort column ascending"
                                                style="width: 131.375px;">Expiry date</th>
                                            <th class="sorting" tabindex="0" aria-controls="dataTableExample"
                                                rowspan="1" colspan="1"
                                                aria-label="Age: activate to sort column ascending"
                                                style="width: 53.2578px;">Safety Stock</th>
                                            <th style="width: 53.2578px;">Transactions</th>
                                            <th style="width: 53.2578px;">Edit</th>
                                            <th style="width: 53.2578px;">Delete</th>


                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td class="px-4 py-2"><?php echo e($product->name); ?></td>
                                                <td class="px-4 py-2"><?php echo e($product->description); ?></td>
                                                <td class="px-4 py-2"><?php echo e($product->current_stock); ?></td>
                                                <td class="px-4 py-2">
                                                    <?php
                                                        $earliestExpiry = $product
                                                            ->productEntries()
                                                            ->where('quantity', '>', 0)
                                                            ->where('expiry_date', '>', now())
                                                            ->min('expiry_date');
                                                    ?>
                                                    <?php echo e($earliestExpiry ? \Carbon\Carbon::parse($earliestExpiry)->format('Y-m-d') : 'N/A'); ?>

                                                </td>
                                                <td class="px-4 py-2"><?php echo e($product->safety_stock_level); ?></td>
                                                <td>
                                                    <a href="<?php echo e(route('transactions.index', ['product_name' => $product->name])); ?>"
                                                        class="btn btn-primary">Transactions
                                                    </a>
                                                </td>
                                                <td>
                                                    <a href="<?php echo e(route('products.edit', $product->id)); ?>"
                                                        class="btn btn-primary btn-sm">Edit</a>
                                                </td>
                                                <td>
                                                    <form action="<?php echo e(route('products.delete', $product->id)); ?>"
                                                        method="POST">
                                                        <?php echo csrf_field(); ?>
                                                        <?php echo method_field('DELETE'); ?>
                                                        <button type="submit"
                                                            class="btn btn-danger btn-sm">Delete</button>
                                                    </form>
                                                </td>

                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                    </tbody>

                                </table>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-12 col-md-5">

                            </div>
                        </div>

                    </div>
                    <div>

                    </div>


                </div>
            </div>
        </div>
    </div>


    <script src="https://cdn.datatables.net/1.10.21/js/jquery.dataTables.min.js" defer></script>
    <script>
        $(document).ready(function() {
            $('#myTable').DataTable();

        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.admin_dashboard', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/abc/Desktop/Laravel Projects/gestion_labo/resources/views/products/index.blade.php ENDPATH**/ ?>