<?php $__env->startSection('admin'); ?>
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/css/select2.min.css" rel="stylesheet" />

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/tailwindcss@2.2.16/dist/tailwind.min.css">

    <link rel="stylesheet" href="https://cdn.datatables.net/1.13.7/css/jquery.dataTables.css" />
    <style type="text/css">
        .select2-container--default .select2-selection--single .select2-selection__rendered {
            color: #fcfcfc;
            line-height: 1;
        }

        .disabled-link {
            pointer-events: none;
            color: #ccc;
            /* Gray out the link */
            cursor: default;
        }

        .select2-container--focus.select2-container--default .select2-selection--single,
        .select2-container--focus.select2-container--default .select2-selection--multiple {
            border: 1px solid #662451;
        }

        .select2-container--default .select2-results__option[aria-selected=true] {
            background-color: #b92626;
        }

        .select2-dropdown {
            background-color: #0c1428;

        }

        .select2-container--default .select2-selection--single {
            background-color: #0c1428;

        }
    </style>


    <div class="page-content">
        <div class="card">
            <div class="card-body">

                <h6 class="card-title">Add Transaction</h6>

                <form class="forms-sample" method="POST" action="<?php echo e(route('transactions.store')); ?>">
                    <?php echo csrf_field(); ?>

                    <div class="row mb-3">
                        <label for="exampleInputUsername2" class="col-sm-3 col-form-label">Product name</label>
                        <div class="col-sm-9">
                            <select name="product_name" id="product_name" class="form-control">
                                <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($product->name); ?>"
                                        <?php echo e(request('product_name') == $product->name ? 'selected' : ''); ?>>
                                        <?php echo e($product->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>

                    </div>

                    <div class="row mb-3">
                        <label for="quantity" class="col-sm-3 col-form-label">Quantity</label>
                        <div class="col-sm-9">
                            <input type="number" name="quantity" id="quantity" class="form-control" required />
                        </div>
                    </div>

                    <div class="row mb-3">
                        <label for="type" class="col-sm-3 col-form-label">Type</label>
                        <div class="col-sm-9">
                            <select name="type" id="type" class="form-control">
                                <option value="">Select Type</option>
                                <option value="entry">Entry</option>
                                <option value="exit">Exit</option>
                            </select>
                        </div>
                    </div>

                    <!-- Expiry Date, initially hidden -->
                    <div class="row mb-3" id="expiryDateContainer" style="display: none;">
                        <label for="expiry_date" class="col-sm-3 col-form-label">Expiry date</label>
                        <div class="col-sm-9">
                            <input type="date" name="expiry_date" id="expiry_date" class="form-control" />
                        </div>
                    </div>
                    <div class="row mb-3" id="supplierContainer" style="display: none;">
                        <label for="supplier_name" class="col-sm-3 col-form-label">Supplier name</label>
                        <div class="col-sm-9">
                            <select name="supplier_id" class="form-control">
                                <?php $__currentLoopData = $suppliers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $supplier): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($supplier->id); ?>"><?php echo e($supplier->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    </div>
                    <div class="row mb-3" id="PriceContainer" style="display: none;">
                        <label for="price" class="col-sm-3 col-form-label">Price</label>
                        <div class="col-sm-9">
                            <input type="number" name="price" id="price" class="form-control" />
                        </div>
                    </div>
                    <div class="row mb-3">
                        <label for="description" class="col-sm-3 col-form-label">Remarks</label>
                        <div class="col-sm-9">
                            <input type="text" name="remarks" id="description" class="form-control" />
                        </div>
                    </div>

                    <div class="row mb-3">
                        <div class="col-sm-9 offset-sm-3">
                            <button type="submit" class="btn btn-primary">Submit</button>
                        </div>
                    </div>
                </form>

            </div>
        </div>

        <div class="mt-4"></div> <!-- Add a margin-top to create space between the form and the table -->

        <div class="card">
            <div class="card-body">
                <h6 class="card-title">Exits</h6>
                <div class="table-responsive">
                    <div id="dataTableExample_wrapper" class="dataTables_wrapper dt-bootstrap5 no-footer">
                        <div class="row">


                        </div>
                        <div class="row">
                            <div class="col-sm-12">
                                <table data-order="[]" id="myTable" class="table dataTable no-footer"
                                    aria-describedby="dataTableExample_info">
                                    <thead>
                                        <tr>
                                            <th class="sorting sorting_asc" tabindex="0" aria-controls="dataTableExample"
                                                rowspan="1" colspan="1" aria-sort="ascending"
                                                aria-label="Name: activate to sort column descending"
                                                style="width: 176.344px;">Date</th>
                                            <th class="sorting" tabindex="0" aria-controls="dataTableExample"
                                                rowspan="1" colspan="1"
                                                aria-label="Position: activate to sort column ascending"
                                                style="width: 279.164px;">Product name</th>
                                            <th class="sorting" tabindex="0" aria-controls="dataTableExample"
                                                rowspan="1" colspan="1"
                                                aria-label="Age: activate to sort column ascending"
                                                style="width: 53.2578px;">Quantity</th>
                                            <th class="sorting" tabindex="0" aria-controls="dataTableExample"
                                                rowspan="1" colspan="1"
                                                aria-label="Age: activate to sort column ascending"
                                                style="width: 53.2578px;">Remarks</th>
                                            <th class="sorting" tabindex="0" aria-controls="dataTableExample"
                                                rowspan="1" colspan="1"
                                                aria-label="Age: activate to sort column ascending"
                                                style="width: 53.2578px;">Username</th>
                                            <th style="width: 53.2578px;">Delete</th>


                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php $__currentLoopData = $transactions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $transaction): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td class="px-4 py-2"><?php echo e($transaction->created_at->toDateString()); ?></td>
                                                <td class="px-4 py-2"><?php echo e($transaction->product->name); ?></td>
                                                <td class="px-4 py-2"><?php echo e($transaction->quantity); ?></td>
                                                <td class="px-4 py-2"><?php echo e($transaction->remarks); ?></td>
                                                <td class="px-4 py-2"><?php echo e($transaction->user_name); ?></td>

                                                <td>
                                                    <form action="<?php echo e(route('transactions.delete', $transaction->id)); ?>"
                                                        method="POST">
                                                        <?php echo csrf_field(); ?>
                                                        <?php echo method_field('DELETE'); ?>
                                                        <button type="submit" class="btn btn-danger btn-sm"
                                                            <?php echo e(Auth::user()->id == 1 ? '' : 'disabled'); ?>>Delete</button>
                                                    </form>
                                                </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                    </tbody>

                                </table>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-12 col-md-5">

                            </div>
                        </div>

                    </div>
                    <div>

                    </div>


                </div>
            </div>
        </div>
        <div class="mt-4"></div> <!-- Add a margin-top to create space between the form and the table -->

        <div class="card">
            <div class="card-body">
                <h6 class="card-title">Entries</h6>
                <div class="table-responsive">
                    <div id="dataTableExample_wrapper" class="dataTables_wrapper dt-bootstrap5 no-footer">
                        <div class="row">


                        </div>
                        <div class="row">
                            <div class="col-sm-12">
                                <table data-order="[]" id="myTable1" class="table dataTable no-footer"
                                    aria-describedby="dataTableExample_info">
                                    <thead>
                                        <tr>
                                            <th class="sorting sorting_asc" tabindex="0"
                                                aria-controls="dataTableExample" rowspan="1" colspan="1"
                                                aria-sort="ascending"
                                                aria-label="Name: activate to sort column descending"
                                                style="width: 176.344px;">Date</th>
                                            <th class="sorting" tabindex="0" aria-controls="dataTableExample"
                                                rowspan="1" colspan="1"
                                                aria-label="Position: activate to sort column ascending"
                                                style="width: 279.164px;">Product name</th>
                                            <th class="sorting" tabindex="0" aria-controls="dataTableExample"
                                                rowspan="1" colspan="1"
                                                aria-label="Office: activate to sort column ascending"
                                                style="width: 131.375px;"> Price</th>
                                            <th class="sorting" tabindex="0" aria-controls="dataTableExample"
                                                rowspan="1" colspan="1"
                                                aria-label="Age: activate to sort column ascending"
                                                style="width: 53.2578px;">Quantity</th>
                                            <th class="sorting" tabindex="0" aria-controls="dataTableExample"
                                                rowspan="1" colspan="1"
                                                aria-label="Age: activate to sort column ascending"
                                                style="width: 53.2578px;">Expiry date</th>
                                            <th class="sorting" tabindex="0" aria-controls="dataTableExample"
                                                rowspan="1" colspan="1"
                                                aria-label="Age: activate to sort column ascending"
                                                style="width: 53.2578px;">Remarks</th>
                                            <th class="sorting" tabindex="0" aria-controls="dataTableExample"
                                                rowspan="1" colspan="1"
                                                aria-label="Age: activate to sort column ascending"
                                                style="width: 53.2578px;">Username</th>
                                            <th style="width: 53.2578px;">Delete</th>


                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php $__currentLoopData = $entries; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $transaction): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td class="px-4 py-2"><?php echo e($transaction->created_at->toDateString()); ?></td>
                                                <td class="px-4 py-2"><?php echo e($transaction->product->name); ?></td>
                                                <td class="px-4 py-2">
                                                    <?php if($transaction->type === 'entry'): ?>
                                                        <?php if($transaction->productEntries->isNotEmpty()): ?>
                                                            <?php echo e(number_format($transaction->productEntries->first()->price, 2)); ?>

                                                        <?php else: ?>
                                                            N/A
                                                        <?php endif; ?>
                                                    <?php endif; ?>
                                                </td>
                                                <td class="px-4 py-2"><?php echo e($transaction->quantity); ?></td>
                                                <td class="px-4 py-2">

                                                    <?php if($transaction->productEntries->isNotEmpty()): ?>
                                                        <?php echo e(\Carbon\Carbon::parse($transaction->productEntries->first()->expiry_date)->format('Y-m-d')); ?>

                                                    <?php else: ?>
                                                        N/A
                                                    <?php endif; ?>

                                                <td class="px-4 py-2">
                                                    <?php echo e($transaction->remarks); ?>

                                                </td>
                                                <td class="px-4 py-2"><?php echo e($transaction->user_name); ?></td>

                                                <td>
                                                    <form action="<?php echo e(route('transactions.delete', $transaction->id)); ?>"
                                                        method="POST">
                                                        <?php echo csrf_field(); ?>
                                                        <?php echo method_field('DELETE'); ?>
                                                        <button type="submit" class="btn btn-danger btn-sm"
                                                            <?php echo e(Auth::user()->id == 1 ? '' : 'disabled'); ?>>Delete</button>
                                                    </form>
                                                </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                    </tbody>

                                </table>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-12 col-md-5">

                            </div>
                        </div>

                    </div>
                    <div>

                    </div>


                </div>
            </div>
        </div>
        <script src="https://cdn.datatables.net/1.10.21/js/jquery.dataTables.min.js" defer></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/js/select2.min.js" defer></script>

        <script>
            <?php
                $productName = request()->get('product_name');
            ?>
            $(document).ready(function() {
                $('#myTable').DataTable();
                $('#myTable1').DataTable();

                var productName = "<?php echo e($productName); ?>";
                if (productName) {
                    $('#myTable').DataTable().search(productName).draw(); // Apply the filter
                }
            });
        </script>
        <script>
            document.addEventListener('DOMContentLoaded', function() {
                var transactionType = document.getElementById('type'); // Corrected ID
                var expiryDateContainer = document.getElementById('expiryDateContainer');
                var PriceContainer = document.getElementById('PriceContainer');
                var supplierContainer = document.getElementById('supplierContainer');

                // Hide expiry date by default if the selected type is not 'entry'
                if (transactionType.value !== 'entry') {
                    expiryDateContainer.style.display = 'none';
                    PriceContainer.style.display = 'none';
                    supplierContainer.style.display = 'none';

                }

                transactionType.addEventListener('change', function() {
                    // Show or hide the expiry date field based on the type of transaction
                    expiryDateContainer.style.display = this.value === 'entry' ? 'flex' : 'none';
                    PriceContainer.style.display = this.value === 'entry' ? 'flex' : 'none';
                    supplierContainer.style.display = this.value === 'entry' ? 'flex' : 'none';
                });
            });
        </script>
        <script>
            $(document).ready(function() {
                $('#product_name').select2();
                // $('#select2-'+myID+'-container').parent().css('background-color', 'red');

            });
        </script>
    <?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.admin_dashboard', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/abc/Desktop/Laravel Projects/gestion_labo/resources/views/transactions/index.blade.php ENDPATH**/ ?>